/* Css Rules */

/* Type Selector*/
h1 {
    color: yellow;
    font-size: 20px;
}
/* Class Selector */
.offering-item {
    text-transform: uppercase;
}
#zuitt-mott {
    letter-spacing: 5px;
}
/* attrb selector */
input[required] {
    border-width: 2px green solid;
    width: 90%;
}
/* universal selector */
* {
    font-family: 'Courier New', Courier, monospace;
    font-size: 20px;
}
/* adjacent sibling selector */
h3 + img {
    height: 300px;
    border-radius: 150px;
    -webkit-border-radius: 150px;
    -moz-border-radius: 150px;
    -ms-border-radius: 150px;
    -o-border-radius: 150px;
}
/* general sibling selector */
h2 ~ a {
    text-decoration: none;
}
/* child selector */
body > section > form > label {
    color: rgba(94, 0, 128, 0.75);
}
#landing li {
    color: red;
}
/* multiple selector */
h2,
h3 {
    color: violet;
}
html {
    scroll-behavior: smooth;
}
body {
    background-color: skyblue;
}

nav{
    background-color: aliceblue;
}

a:hover{
    background-color: aliceblue;
}
navright{
    float: right;
}
h1{
    color:blue;
    text-align: center;
}

section{
    height: 100vh;
    text-align: center;
}
ol{
    list-style: none;
}
form{
    text-align: center;
    background-color:aliceblue;
    border:2px black solid;
    width: 25vw;
        /* display: inline-block; */
    position: relative;
    /* left:37.25%; */
    /* life hack to center hahaha */
    margin-left: auto;
    margin-right: auto;
}
button{
    background-color: #cf0053;
    color: #fff;
    border: 0;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

<!--
		Important Note:
			- The "background-color" property changes the background color of an element.
			- The "scroll-behavior" property changes the scrolling behavior when clicking on anchor tags.
			- The value "smooth" changes the scrolling behavior of a page jumping from one section to the next to smoothly scroll to a section.
			- The "a:hover" pseudo class will change the style of an element when it is hovered over.
			- The "display" property changes the visibility and the behavior of an element's box.
			- The value "inline-block" will allow the div element to be inline with sibling elements and occupy the remaining space as if it were a block element.
			- The "float" property changes the horizontal alignment of an element to float either to the left or right of it's container.
			- The "text-align" property changes the horizontal alignment of text or all nested text elements.
			The "font-size" property changes the size of text.
			- The value "rem" is based on the "font-size" property of the "root element". In this case, the "font-size" of the root element is at "20px" defined by the Universal Selector. The rem value acts as a multiplier of this value. "2rem" is equivalent to "20px". Using this value for text allows us to implement consistency within text styles instead of providing varying pixel values to text.
			- The default value of the root element is at "16px.
			- The value "vh" refers to viewport height. This value is based on a percentage of the browser's screen size and is good to use for elements that we want to have a responsive change in size referencing the browser's screen.
			- The "list-style-type" property changes the bullet point used in a list.
			- The value "none" will remove the bullet points from a list.
			- CSS rules may be applied to multiple selectors using a comma (,). Add the a tag after the Generic Sibling Selector (h2 ~ a, a) to also apply the properties defined in the rule to apply to a tags and remove the underline.
			- Some CSS properties have a shorthand property that combines several properties into one. An example of this is the "border" property which combines the "border-width", "border-style" and "border-color" properties into one.
			- The value "2px solid black" refers to the "border-width", "border-style" and "border-color" properties respectively.
			- Use "absolute measurements" like "px" for elements that we don't want to change in dimension regardless of screensize. "relative measurements" like "vw" and "vh" are good for responsive design.
			- Refer to "references" section of this file to find the documentation for CSS Units of Measurement.
			- The value "vw" refers to viewport width.
			- The "position" property changes the position of an element based on certain criteria. This topic would be better understood after discussing the next session.
			The value "relative" tells the element to move in relation to it's original position in the HTML document.
			- Refer to "references" section of this file to find the documentation for CSS Position Property.
			- The "left" property is used along with the "position" property to add a certain measurement to the left of an element. The "right", "top" and "bottom" properties also function the same way. Though only two at a time is recommended to be used to position elements. Either the "top" or "bottom" for vertical alignment and the "left" and "right" for horizontal alignment.
			- The value "%" is based on the measurement of the parent element. The parent element is the "section" tag which is a block element and occupies the full width of the page. In this case, the value of the "left" property is "37.25%" of "100%".
		-->
